Subject: bug#14388: Bug in uname command - reg...

From: Linda Walsh <[email-masked]>
Date: Sat, 11 May 2013 21:58:14 -0700

Bob Proulx wrote:

>   $ uname -r
>   3.2.0-4-amd64
>   $ uname -v
>   #1 SMP Debian 3.2.35-2
---
I get something similiar the above, but that isn't the way
the kernel terminology -- despite the fact that use "uname-r" to search for the
kernel-version of modules
to use.

but 3=VERSION
2=PATCHLEVEL
0=SUBLEVEL
-4- = EXTRAVERSION
-amd64=LOCALVERSION

>From that -- it looks quite a bit like it describing version information.
On mine, I have
uname -r=3.9.0-Isht-Van

With Isht-Van being my localversion name
The uname-v has:
#6 SMP PREEMPT Wed May 8 17:28:40 PDT 2013
Compile#, options date.... not sure why debians is different --- 3.2.35-2?

That's odd looking.

It looks like they are a bit backwards -- but I think I would agree with
Bob's assessment that it can't be something that is fixed since there
are tons of programs (including programs IN THE KERNEL (to load modules))
that use the 'release' to get the linux-version info...

*doh!*

> 
> Really the only portable way to use uname(1) is to call it first to
> see which system name it returns and then after knowing the system
> type then call it again with whatever options make sense on that
> system.
---
	Which is a bit like saying you need an interpreter that's
system specific to pick out what is relevant.  That's special! ;->